Package ghidra.graph.viewer.event.mouse

# Class VisualGraphPluggableGraphMouse<V extends VisualVertex,E extends VisualEdge<V>>

java.lang.Object
ghidra.graph.viewer.event.mouse.VisualGraphPluggableGraphMouse<V,E>

Type Parameters:
  `V` - the vertex type
  `E` - the edge type

All Implemented Interfaces:
  `edu.uci.ics.jung.visualization.VisualizationViewer.GraphMouse`, `MouseListener`, `MouseMotionListener`, `MouseWheelListener`, `EventListener`

Direct Known Subclasses:
  `VisualGraphSatelliteGraphMouse`

public class VisualGraphPluggableGraphMouse<V extends VisualVertex,E extends VisualEdge<V>> extends Object implements edu.uci.ics.jung.visualization.VisualizationViewer.GraphMouse
This is the class that controls which mouse plugins get installed into the graph.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected CopyOnWriteArrayList<edu.uci.ics.jung.visualization.control.GraphMousePlugin>`
  `mousePlugins`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VisualGraphPluggableGraphMouse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(edu.uci.ics.jung.visualization.control.GraphMousePlugin p)`
  `protected void`
  `addPlugins()`
  `void`
  `dispose()`
  `void`
  `mouseClicked(MouseEvent e)`
  `void`
  `mouseDragged(MouseEvent e)`
  `void`
  `mouseEntered(MouseEvent e)`
  `void`
  `mouseExited(MouseEvent e)`
  `void`
  `mouseMoved(MouseEvent e)`
  `void`
  `mousePressed(MouseEvent e)`
  `void`
  `mouseReleased(MouseEvent e)`
  `void`
  `mouseWheelMoved(MouseWheelEvent e)`
  `void`
  `prepend(edu.uci.ics.jung.visualization.control.GraphMousePlugin p)`
  Places the given plugin at the front of the list
  `void`
  `remove(edu.uci.ics.jung.visualization.control.GraphMousePlugin p)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### mousePlugins

    protected CopyOnWriteArrayList<edu.uci.ics.jung.visualization.control.GraphMousePlugin> mousePlugins

- ## Constructor Details

  - ### VisualGraphPluggableGraphMouse

    public VisualGraphPluggableGraphMouse()

- ## Method Details

  - ### addPlugins

    protected void addPlugins()

  - ### prepend

    public void prepend(edu.uci.ics.jung.visualization.control.GraphMousePlugin p)
    Places the given plugin at the front of the list
    Parameters:
      `p` - the mouse plugin to prepend

  - ### add

    public void add(edu.uci.ics.jung.visualization.control.GraphMousePlugin p)

  - ### remove

    public void remove(edu.uci.ics.jung.visualization.control.GraphMousePlugin p)

  - ### dispose

    public void dispose()

  - ### mouseClicked

    public void mouseClicked(MouseEvent e)
    Specified by:
      `mouseClicked` in interface `MouseListener`

  - ### mousePressed

    public void mousePressed(MouseEvent e)
    Specified by:
      `mousePressed` in interface `MouseListener`

  - ### mouseReleased

    public void mouseReleased(MouseEvent e)
    Specified by:
      `mouseReleased` in interface `MouseListener`

  - ### mouseEntered

    public void mouseEntered(MouseEvent e)
    Specified by:
      `mouseEntered` in interface `MouseListener`

  - ### mouseExited

    public void mouseExited(MouseEvent e)
    Specified by:
      `mouseExited` in interface `MouseListener`

  - ### mouseDragged

    public void mouseDragged(MouseEvent e)
    Specified by:
      `mouseDragged` in interface `MouseMotionListener`

  - ### mouseMoved

    public void mouseMoved(MouseEvent e)
    Specified by:
      `mouseMoved` in interface `MouseMotionListener`

  - ### mouseWheelMoved

    public void mouseWheelMoved(MouseWheelEvent e)
    Specified by:
      `mouseWheelMoved` in interface `MouseWheelListener`